Bug 188118 - No Sound with snd-hda-intel driver Asus P5VDC-MX
No Sound with snd-hda-intel driver Asus P5VDC-MX
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-06 03:03 EDT by Marlin Borsick
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-07 07:02:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sound log from root directory (6.41 KB, text/plain)
2006-04-06 03:21 EDT, Marlin Borsick
no flags Details

  None (edit)
Description Marlin Borsick 2006-04-06 03:03:55 EDT
Description of problem:
No sound with hda-intel snd driver

Version-Release number of selected component (if applicable):
Alsa1.0.11r4.fc5

How reproducible:
Always, Never worked

Steps to Reproduce:
1. Not configured on install or reconfiguration
2.
3.
  
Actual results:
no sound

Expected results:
Lots of sound

Additional info:

Kernel is up-to-date Xen kernel.

Initial install did not recognize the sound on an ASUS P5VDC-MX motherboard.
Motherboard has southbridge VIA VT8251. CODEC is Realtek ACL653 AC'97 6 channel
Audio. Tried the updated drivers in 002404, but was unsuccessful. Also tried
drivers on VIA site and Realltek site. The last couple of tries show no errors
in compiling, make, etc. However, as I am just above novice in understanding
everything about Linux, this has thrown me for a loop.

Please advise.

TIA
Comment 1 Marlin Borsick 2006-04-06 03:21:23 EDT
Created attachment 127394 [details]
Sound log from root directory

Forgot to add this information
Comment 2 Martin Stransky 2006-04-06 12:47:08 EDT
Your card should by supported by snd-hda-intel driver (so you can remove all
via-xxx stuff from /etc/modprobe.conf) but there is some problem, this driver
doesn't detect/initialize your card properly. I recommend to file a bug report
on ALSA project site (www.alsa-project.org)
Comment 3 Marlin Borsick 2006-04-06 18:48:12 EDT
(In reply to comment #2)
> Your card should by supported by snd-hda-intel driver (so you can remove all
> via-xxx stuff from /etc/modprobe.conf) but there is some problem, this driver
> doesn't detect/initialize your card properly. I recommend to file a bug 
report
> on ALSA project site (www.alsa-project.org)

Okay, reported it to ALSA today.

Comment 4 Martin Stransky 2006-04-07 07:02:44 EDT
okay, closing as upstream.
Comment 5 Marlin Borsick 2006-04-07 14:31:44 EDT
You may want to leave this as open. Early report was that kudzu did not 
accurately report the correct card. There is also an issue that the card in 
question does not exist in the alsa configuration files and probably needs to 
be added. When I find out more, I can post here if you like.
Comment 6 Martin Stransky 2006-04-10 04:29:15 EDT
You don't have to do it, I watch it on the ALSA site
(https://bugtrack.alsa-project.org/alsa-bug/view.php?id=2008)
Comment 7 Paul Johnson 2006-05-19 01:39:02 EDT
Find the fix online here:

http://people.redhat.com/stransky/alsa/

Altogether,that took me about 20 minutes :).  After pointing and clicking in the
internet for about 2 hours :(

Note You need to log in before you can comment on or make changes to this bug.